 

Join the newsletter to receive the latest updates in your inbox.

Your email address

Please check your inbox and click the link to confirm your subscription.

Please enter a valid email address!

An error occurred, please try again later.

1.  [🌲The Konik Method for Making Useful Notes](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#)
    1.  [Motivations: Start with the WHY](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#motivations-start-with-the-why)
        1.  [Pleasure Reading](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#pleasure-reading)
        2.  [Problem Solving](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#problem-solving)
        3.  [Pursuing Serendipity](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#pursuing-serendipity)
            1.  [With Videos](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#with-videos)
            2.  [With People](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#with-people)
            3.  [With Written Content](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#with-written-content)
    2.  [Methods: How To Record Information In Useful Ways](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#methods-how-to-record-information-in-useful-ways)
        1.  [Making Notes Directly](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#making-notes-directly)
        2.  [Creating Notes Via Automations](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#creating-notes-via-automations)
            1.  [Readwise](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#readwise)
            2.  [The Zettelizer](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#the-zettelizer)
    3.  [Manifestations: Referencing Notes For A Purpose](https://www.obsidianroundup.org/the-konik-method-for-making-notes/#manifestations-referencing-notes-for-a-purpose)

Once upon a time, I shared a rough sketch of what my process for active and passive research looked like. It looked something like this:

![](https://www.obsidianroundup.org/content/images/2022/10/image.png)

This is more-or-less accurate despite being six months old and my job changing twice in the meantime, which speaks well for its stability. 

But I never had a chance to write out an explanation of how these pieces fit together... until this week. Doing so made me realize that it's a lot more straightforward to explain if I omit the tools and focus on the process:

![](https://www.obsidianroundup.org/content/images/2022/10/image-14.png)

A picture is _actually_ worth 7,000 words, it turns out. 

Of course, everybody always asks what tools and philosophies and methods I use to accomplish this relatively straightforward process of making and using useful notes, so here's my best attempt to write it all down.

This is not intended to be a guide to "doing things my way" so much as an attempt to explain how and I why I do things, in hopes that seeing the metacognition behind the workflow helps at least one person improve their life in some small way.

## Motivations: Start with the WHY

I generally come at the process of note making from one of three angles. They represented on the chart above as "ebooks," "I have a question" and "passive feeds" although in retrospect I should have said "hobby reading" instead of "ebook" there.

### Pleasure Reading

The latter is the least common, but easiest to explain: sometimes I see a big book on an interesting topic and either buy it or put it on my wishlist, and then when I've got a lot of downtime and nothing better to do, or am particularly interested in it, I read it cover-to-cover. I highlight the interesting bits when they strike me, but I'm not reading for a purpose; I'm reading for pleasure.

It's sort of the middle of the road option that used to be mostly how I engaged with note making; highlighting and annotating a dead tree book on a topic of interest, and then moving on with my life once I was done, richer in knowledge but not particularly prone to remembering or using the information gained. It was a hobby, not meant to be productive, and I still do it sometimes.

### Problem Solving

The next most common reason I approach information to make notes about is that I need to solve a problem. Sometimes the problem is "I need to decide on an email app" or "I want to build my dream house" or "how can I keep track of all the important things that happen with my kid?" – sometimes it's "I keep getting SEO hits for the Dark Smith of Drontheim even though it's only a casual mention from a six year old article about [modern folklore like road gators](https://newsletter.eleanorkonik.com/modern-folklore/), I should learn more about the dark smith so I can hit that SEO niche better."

Research topics like the latter typically send me into PDF collection mode. I don't do much with PDFs _currently_ because of time constraints, but [the reference manager Zotero](https://www.zotero.org/) is still the best method I've found for this. The [Zotero integration](https://github.com/mgmeyers/obsidian-zotero-integration) plugin for Obsidian is really solid, although things were a bit dicey with Zotero/Obsidian during the big Zotero upgrade from version 5 to version 6. That said, I'm hopeful that by the time I have enough free time to do heavy research again, Readwise will have brought its reference management & PDF reading / annotating experience up to par with Zotero's, because Readwise's extraction process is a lot more pleasant and automated.

👩💼

In the interests of ethics I should note that I will be starting [a job](https://readwise.notion.site/Quality-Assurance-Specialist-0f33e9de7c2f40199785b823f7d8c47e) with [Readwise](https://readwise.io/i/ac9) soon, but that's not why I wrote this. 

Realistically, these sorts of notes are often less about complex workflows and academic deep dives than making sure I have the results of a casual search or conversation ready to hand the next time the subject comes up. Many of my notes involve remarkably little "research" - I record milestones and meeting notes, information about books I'm interested in, links to vacation homes that might work out for different trips I'd like to take, photos of nifty kitchen mosaics and bathroom fixtures, records of how my tomatoes did in a particular spot, epiphanies about why particular television shows were great and how I can apply those lessons to my own fiction writing, etc.

It's not quite journaling, but it _is_ in line with the idea that in order to think clearly you must express your thoughts. Some people say you need to _write_ in order to effectively think, but I don't think that's true - talking things out with friends and family seems to work just fine for a lot of people.

![](https://www.obsidianroundup.org/content/images/2022/10/al-elmes-F-xE9lTsbd4-unsplash-1.jpg)

Nobody ever says [rubber ducky debugging](https://en.wikipedia.org/wiki/Rubber_duck_debugging) involves writing memos to your preferred duck, after all.

Everybody uses different vocabulary, but this is what I like to call _active note making_ because it's the sort of thing I do when I have a specific goal I am working toward. I do this when I have specifically allotted time for it. Emotionally, it feels a bit like questing, which is I suppose just another metaphor explaining how [Obsidian helped me quit video games](https://www.obsidianroundup.org/obsidian-replaced-games-now-prolific/) (not that I was trying to!).

### Pursuing Serendipity

Most of what I learn comes to me not so much "by accident" or "unintentionally" as _reactively._ People usually use 'active vs passive' in a notetaking context as a proxy for how thoroughly you are _engaging_ with a source - whether you're thinking independent thoughts or just absorbing the information by rote. But since I pretty much never do the latter (even when teachers wished I would!) I've chosen to repurpose the dichotomy. For me, "reactive" note making happens when I am basically killing time.

If I'm making my way across a long parking lot on my way to pick my son up from daycare, I'll sort my RSS feeds. If I'm waiting by myself at the doctor's office, I'll read an article or two from my queue. If my kid or I are sick and he wants to learn about racoons, we'll put on a documentary. I try to only check Twitter when I'm away from my desk, making tea or whatnot.

#### With Videos

I almost never do "dedicated notetaking" when I'm watching videos. I haven't taken anything that feels like college lecture notes in years; I don't particularly enjoy audiovisual content for its own sake, so I usually take a "get in and get out" approach where I'm looking for one specific thing that _has_ to be conveyed visually to be maximally effective, like [how to effectively skin and butcher a crocodile](https://www.youtube.com/watch?v=FLaXcxE5spI)[](http://savefrom.net/?url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DFLaXcxE5spI&utm_source=chrome&utm_medium=extensions&utm_campaign=link_modifier "Get a direct link")... which was remarkably useful when I was writing a scene about a character who was unexpectedly stuck dealing with a wyvern corpse in the middle of a desert.

Generally, I either need to "bookmark" the video where I can find it again when I need it (I linked to the video above in a hidden comment on the scene I wrote), or take one or two quick notes about one or two obscure tidbits I picked up.

![](https://www.obsidianroundup.org/content/images/2022/10/image-1.png)

I am not particularly strict about how I organize these. The point is to be able to find them again, which I can whether it's noted in the source or as a more detailed claim.

On the rare occasions I _do_ find myself taking notes longer than this, I do it the same way I take notes in meetings.

#### With People

Sometimes I attend lectures where there's a lot of useful information being conveyed. Generally the ones I like best are put on by academics over Zoom about something in their area of expertise. Josephine Quinn had a nice one about the historicity of Dido, and I particularly enjoyed Troels Pank Arbøll's lecture about epidemic diseases in ancient Mesopotamia.

A lot of people take notes like this outliner style, with bullet points, but I really prefer using headers and paragraphs, although I do sometimes use bullet points.

![](https://www.obsidianroundup.org/content/images/2022/10/image-2.png)

The main thing I want to emphasize is that I don't have a strict template, and that my notes are very messy.

My one big problem with taking notes in this style is that historically I've liked to include images of relevant lecture slides in my notes, but Android tends to eat them during its "clean up" processes, and I always have the devil of a time recovering those images. They're somewhere in my backups, but my notes are usually good enough without them. Still, I show you this as a two-fold warning: one, that my methods are not clean and perfect and shiny, and two – technology is never as reliable as we want it to be. I'm confident I could recover those missing "pasted images" if I needed to, but I'm also friends with professional computer forensics experts. If you're not _that_ confident, I recommend triple-checking to make sure that your devices don't helpfully save space by moving your images for you...

But I personally haven't bothered because like I said, I don't attend many lectures.

Mostly, notes that come from people are things I jot down during meetings (where I almost always do use bullet points, although I don't bother with anything more fancy than a quick `#priority` if there's something important I need to do) and almost always refactor later by moving key information into the relevant places, like my email, calendar, or reference notes.

For example, while meeting some of my new coworkers, I was having a casual conversation about roses and learned that [roses are often grown in vineyards](https://homeguides.sfgate.com/planting-rose-bushes-grape-vines-29763.html) because they function as "[canaries in the coal mine](https://en.wiktionary.org/wiki/canary_in_a_coal_mine)" for grapes, in that they are more persnickety to grow and keep healthy but otherwise like similar conditions. This was neat! I wrote it down — on paper, because I hate typing during a meeting, because it's so loud. But then I typed up my handwritten notes so I'd have them somewhere they'll show up on search for the moment when I remember my coworker told me something cool but can't remember what it was, which is a terrible feeling.

#### With Written Content

One of the most popular uses for [Readwise](https://readwise.io/i/ac9) is to save insightful tweets into a repository of notes for later perusal. The little `@readwise save` message is great advertising for Readwise, and it's a great way to turn Twitter threads into the articles they yearn to be. But I live to rebel against the normal ways of doing things in personal knowledge management circles, so mostly I bookmark information using Twitter bookmarks and then once a week review stuff I found to see if I can find better sources for whatever factoid caught my attention.

I almost never save advice or motivational statements; I absorb them or forget them. My notes are intended for things I need to _reference,_ not for self-improvement. Others will vary on that, but it's a philosophy that informs a lot of what I do, so I figured I should mention it.

Anyway, while Readwise is nominally a spaced repetition app that also functions as a bridge between highlights / annotations and note taking apps, they're building [a read it later app called Reader](https://readwise.io/read) that works really well for highlighting and annotating newsletters and articles (including press releases, blog posts, and twitter threads that are basically articles). It even does a credible job with discussion threads like on forums and Reddit.

Most of the value I get out of Readwise is as a way to curate opportunities for myself. I wrote an article about this recently...


🌲 Using RSS to curate opportunities

I divide my RSS feed according to how I can interact with the articles, how far along I am with processing the information, and how I think I can use them later.

![](https://www.obsidianroundup.org/content/images/size/w256h256/2021/10/514496-512-copy-1.png)
Eleanor Konik

![](https://www.obsidianroundup.org/content/images/2022/09/pexels-cottonbro-3944385.jpg)

](https://www.obsidianroundup.org/using-rss-to-curate-opportunities/)

...so I don't want to repeat myself too much, but big takeaway is that I divide my RSS feed according to how I can interact with the articles, how far along I am with processing the information, and how I think I can use them later. But fundamentally these feeds are sources that I "set and forget" in terms of them being selected for having a high signal to noise ratio, which means it's likely I'll find something worth reading whenever an article is "pushed" to me, even though I haven't personally selected it.

## Methods: How To Record Information In Useful Ways

Of course, having a reason to make notes is only the first step. Once I have stuff (ideas, links, information, evidence) I want to record, I need to actually put it somewhere I can find it again. Once again, I have two primary methods for this: direct and automated.

The direct method is very straightforward, the digital equivalent of sitting in my office with a textbook in my lap and a notebook on my desk, hand-writing notes on index cards as I go. The automated method is the equivalent of highlighting and scribbling notes in a book I own and then handing it off to a research assistant, who returns a week later with a big binder full of neatly organized notes based on my commentary... and someone else's paradigm and preferences for organization,  because no matter how clear I make my directions, my assistant isn't literally me.

There are pros and cons to each method; the direct method is faster and I retain more of the information I interact because I interact with it for longer. The automated method is more efficient from an effort perspective but takes longer to achieve and requires me to interface with how someone else's brain works.

### Making Notes Directly

First, a caveat. Some people like to integrate their highlighting and annotating tools into their notetaking app. Obsidian has the annotator plugin, Logseq has a direct bridge to Zotero, and I'm sure other tools use other methods to facilitate this. As I've explained on Twitter in the past, [I avoid annotating directly from my note-taking app.](https://twitter.com/monicarysavy/status/1487774253218938882) I strongly prefer to use a dedicated reference manager, a dedicated PDF reader and to store PDFs in a dedicated folder. Although Obsidian now supports multiple windows – which allows me to optimally use multiple screens – it doesn't feel as robust and future-proof as using a purpose-built app.

Typically, when I'm taking notes directly, I've got my browser open on my left-hand screen and my notes open on the right-hand screen. Maybe I'm looking for the answer to a question, maybe I'm just stumbling across something cool on Twitter, but if I stumble across a useful piece of information through one of my sources above, there are basically three things I can do with it:

1.  Record it in a pre-existing note,
2.  Create a new note,
3.  or send it to Readwise to be dealt with indirectly.

My pre-existing notes come in two primary flavors:

-   logs and indexes
-   claims / evidence / explanations

##### Logs & Indexes

Logs and indexes, which are basically lists of things like "handy LaTeX guides,"  "scripts I need to access my server," "useful accessibility tools," "travel tips for Harper's Ferry" "books I'd like to read someday" and concept notes like "the Bronze Age" and "Chinese infrastructure" – they're basically places I shove information on a given topic in a moderately haphazard way, on the assumption that when I'm looking for information on Chinese infrastructure or getting ready to visit Harper's Ferry, the information I thought worth saving will be easy to find.

![](https://www.obsidianroundup.org/content/images/2022/10/image-3.png)

Apologies for the mess, I'm just trying to demonstrate the different ways my logs and indexes can end up looking.

Incidentally, I do basically everything in [the new default theme by Kepano](https://www.obsidianroundup.org/2022-09-03/) these days. Just about the only CSS I use is to get myself a custom checkbox for `- [b]` bookmark, and I haven't even bothered to fix the weird line in the icon.

##### Claim, Evidence, Explanation

When I teach students how to write a paragraph appropriate for answering a document based question or long essay, the format we use has a bunch of different names and mnemonics depending on teacher preference and district habits. You can "spill the TEA" (topic sentence / evidence / analysis) or make a "PEE chain" (point / evidence / explanation) or "write a CER" (claim / evidence / reasoning).

Although I don't structure my notes as formal paragraphs (...usually), I do find this organizational method surprisingly useful. I've written about [the value of consistent naming conventions](https://www.obsidianroundup.org/consistent-naming/) at length before, but the short version is that for the kinds of notes I'm discussing here, I give them all file names that are claims.

The analog metaphor is pretty straightforward. If I were preparing to write a big paper, and was using index cards to help stay organized, I might scribble a quick claim on one side, basically putting the key information into my own words as concisely as possible, and at a size big enough to read comfortably at a glance. Then on the back, I would probably write a note about where I could find the source proving and expanding on that claim – i.e. a call number, title, author's name, page number, etc. Below the citation, I might write a longer explanation of how the information might be useful, along with any ideas about how I could use it. I might give the card a unique identifier, zettelkasten style, since it would be awkward to re-write the entire claim every time I wanted to reference it from another note – analog index cards don't have autocomplete, after all.

Once that's done, I would keep reading and looking for evidence of whatever I was trying to say, and do this many times until I have enough information to string together a decent paper.

Digitally speaking, I do something pretty similar to this. I put my claim as the title of the file, where it's easy to see when "flipping" through all of my notes, similar to how I can only see the front of an index card when flipping through a box of them. Then embed the relevant quote (because I have more space in a digital file than I do on a notecard, and it doesn't take me much time at all to copy the exact verbiage) in a way that provides me with breadcrumbs back to the source so I can provide that source to anyone questioning me, or double check that source if I need more context or stumble across reason to believe my original claim was wrong – either because I misinterpreted the evidence or someone else is able to refute it. The point is to always give myself a way to get back to the original source of my claim, and retain as much evidence as I need to prove my claim correct.

Lots of people say that you should paraphrase everything, and that the only things in your notes should be things you wrote in your own words. I've spoken about this before, but I think this is not only misguided but dangerous; [attribution is important](https://twitter.com/thenotiongirl/status/1487668189257478145). So is actually engaging with information you're collecting so that you've got half a chance of retaining it and future you knows what the heck you saved it for, but I judge people a lot less for harmless hobbyist collecting of things they will neither understand nor use than I do for attribution errors, personally. Before you repeat a claim, you should at a minimum be in a position to give people access to the primary source so they have a better chance of [evaluating stuff they learn on the internet](https://www.obsidianroundup.org/evaluating-references/). It's an ethics thing. Good for society.

Anyway, once I'm done recording my evidence and sourcing, I often (but not always - being realistic it's not always necessary, and I try to avoid unnecessary work) explain how I think I can use a particular claim and evidence combo. This is where links to other files come in handy, because then when I'm in the other file, my new note will pop up in the backlinks without me having to physically go to the old file and update it, the way I would need to do on paper (or [a website that doesn't support backlinks, like my other newsletter, the one with all my research and stories](https://newsletter.eleanorkonik.com/eclectic220916/)...)

![](https://www.obsidianroundup.org/content/images/2022/10/image-4.png)

I don't have a consistent method for annotating – sometimes I put the note above the quote, other times below. Sometimes I just mark a tag, sometimes I link, sometimes I just write text...

My general habit  is to use callouts to visually indicate the quote, and in the "title" block give the sourcing information, as much of it as I have. Ideally I include title, author, publication date, publisher / venue, date accessed, and a link, in the following format:

```
> [!quote] [Title](link) by [[author]] via [[publication]]. Published on date. Accessed on today.
> Text of the quote.

Brief explanation of why I saved this quote, and any other associated thoughts it gave me about connections, expansions, etc. The annotation, basically. 
```

If you're a daily notes fan, you might link to your daily note directly instead of just giving the numerical date, or you might rely on backlinks. Personally I don't really bother with daily notes. [I prefer themed logs, as I've explained previously](https://www.obsidianroundup.org/themed-logs-not-daily-notes/). Linking to the author and publication is handy, even if I don't have anything else from those sources, because it helps me see which authors and sources I rely on most, and record why I do (or don't!) trust those sources.

![](https://www.obsidianroundup.org/content/images/2022/10/image-5.png)

Particularly when getting information from Reddit, I like to be careful to make sure I've investigated the source's reliability. 

Anyway, when I search for all of the notes I have to help me write a newsletter about the history of knives, I'll find my note about how Bronze Age knives had practical purposes. When I'm teaching the Atlantic Slave Trade, and dig through my notes to refresh my memory, I'll find resources about current consensus on early American vulnerability to diseases to help inform my teaching. When I'm working on writing [Civil Mage](https://newsletter.eleanorkonik.com/the-civil-mage-sewers-1/) (the novel I'm currently serializing) I'll be able to easily review all of the notes I thought were relevant to this project; stuff about the Battle of Adrianople, how engineers flatten building sites for long-term stability, the relative rareness of "first contact" events in human history, how siege warfare in the ancient Mediterranean worked, why retaining walls collapse... all notes that could be useful for a story about a Mesopotamian priestess cum public works engineer having to overcome bureaucratic indifference and political cowardice in order to save a society that she wasn't even born into from a genocidal general.

### Creating Notes Via Automations

Most of my note making system is pretty straightforward. The backbone of my work is simple epiphanies like "[if I make a quick outline for an article and then turn all of the bullet points into checkboxes, I can use that as a rubric for writing the longform prose version](https://twitter.com/EleanorKonik/status/1577737164921577473)!" I mostly try to avoid highly technical solutions to problems because they are fragile, unwieldy, difficult to maintain, even more difficult to transfer between computers in a crisis, and even _more_ difficult to adapt to different tools in a worse crisis. [Automation is often more trouble than it's worth](https://xkcd.com/1319/). But often isn't always, and Readwise has been a major component of creating a database of interconnected, vetted information that is at my fingertips whenever I need to sit down and write. [QuickAdd](https://github.com/chhoumann/quickadd) and [Dataview](https://github.com/blacksmithgu/obsidian-dataview) are the two Obsidian plugins that power this workflow, although you could use [Templater](https://github.com/SilentVoid13/Templater) instead of Quickadd if you wanted, same as you could use Zotero or [Kindle Highlights Plugin](https://github.com/hadynz/obsidian-kindle-plugin) or whatever instead of Readwise. This method isn't really about the specific tool, it's about the format and the habits.

#### Readwise

Step one is to highlight information I want in my notes. The internet is replete with advice about how to know what to highlight, but in my experience, there's no substitute for experience, which is to say metacognition. Highlight stuff, and pay attention to how you feel later. Did it turn out to be useful stuff? Was there too much to be useful? Did you forget stuff? Adapt, iterate, and improve next time. Mistakes are how we learn; the worst thing you can do is nothing, but the second worst thing is to slavishly follow a system you don't understand because you think it's the One True Way. Even if it _is_ the One True Way, it can be worth straying just a little so you can understand how good the path really is. Like playing the field a bit in college so you can better appreciate the person you finally wind up marrying.

![](https://www.obsidianroundup.org/content/images/2022/10/image-7.png)

The "notebook" has all of my highlights and annotations pulled out so I can see "just the important stuff," which is handy. If you want to see the whole article, here's [the public link of my highlights and annotations](https://readwise.io/reader/shared/01fthkbpke1bv39cmjc06964fh).

Since I know this information is going to go to my Obsidian vault as plain text in a text file that Obsidian will read, I tend to write my tags and links directly into the input box.

##### Triage

Then step two is figuring out where to direct my attention, and this is where Dataview comes in.

```
TABLE file.inlinks AS Inlinks, file.outlinks AS Outlinks, file.tags AS Tags
FROM "10 Pending"
WHERE length(file.inlinks) > 0 OR length(file.outlinks) > 1 Or length(file.tags) > 2
SORT file.size ASC
```

This is a relatively simple query as far as Dataview goes. It creates a chart like the one below, of every file in my "Pending" folder (where the Readwise files go, among others) that is linked _to,_ has links _out,_ and has more than two tags – since all of my Readwise imports have two tags by default, as `#pkm` and `#pkm/process` count as two.

![](https://www.obsidianroundup.org/content/images/2022/10/image-9.png)

Incidentally, automations like the ones supported by Readwise are a big reason why I am and always will be an advocate of folders - it really helps me stay organized and reduce clutter. If I had seen all those wonky imports of Ancient News before now, I would have gotten distracted by them and cleaned them up even though it's not important. But I'm not going to rehash what is literally my most popular article ever; if you want [yet another hot take on folders vs. links](https://www.obsidianroundup.org/yet-another-hot-take-on-folders-versus-tags/), I've got one for you. 

I sort them by file size on the rough assumption that a bigger file has more highlights and thus more useful stuff in it. It's easy enough to swap the sorting around, though, by changing the query. For example, here's my list sorted by number of outgoing links:

![](https://www.obsidianroundup.org/content/images/2022/10/image-10.png)

If you don't want to change the query every time you want to re-sort the list, you can also download the [Sortable](https://github.com/alexandru-dinu/obsidian-sortable) plugin, which will let you sort tables a la Wikipedia.

##### Cleanup

Once I've selected an article, I need to fix it up a bit. I'm often in a hurry when I make annotations, and even the best parser misses things sometimes. For convenience's sake, I'll demonstrate by going back to the one about Kashmiri cheese. When I open up the file Readwise created in Obsidian, it looks like this:

![](https://www.obsidianroundup.org/content/images/2022/10/image-8.png)

I achieve this format by using the "Customize formatting options" button in the Readwise plugin to change the template. My settings are here at [this gist](https://gist.github.com/eleanorkonik/1f0586fe13d98f1dbf18ec72b00bf37d), but the main thing is that I really like having the highlight ID number as a unique identifier, because if I accidentally mess up and change the header incorrectly so it doesn't update across all the files I reference, I'll still be able to find it again with a simple search. Having the ID is not particularly useful for finding the highlight in _Readwise,_ but that's why I keep the "View Highlight" link beneath the quote.

It's been awhile, but I think Readwise's defaults assume you want highlights with annotations and tags as bullet points, outliner style. I personally prefer to use section headings and blockquotes because it feels semantically cleaner than having everything in a bullet point, but your mileage may vary, especially if you plan to embed highlights into  research articles you're writing as quotes and want the citation and citekey to be handy when you do even if it's redundant at the source file level. I am not an academic and don't have to worry about that, so at the individual level, I focus on the stuff I actually care about – the content of the quote.

Or, well, realistically – some quotes. My job is to write articles, not process notes, so I don't bother to deal with every highlight I make. Inevitably, I read and highlight more articles than I have time to fully process in Obsidian. There are currently 483 files in the `Readwise/Articles` folder and 527 files marked as needing to be processed. I have, depending on how you count, between 3 and 5 jobs right now. I am not going to neatly format all of those files. I am going to focus on the important ones, when I have time.

This article about Kashmiri Cheese is important to me because it's been tagged `#nonfic/addendum/cheese` which means it's a good candidate for inclusion in a follow-up article to [my newsletter about how Cheese is surprisingly gross — but useful](https://newsletter.eleanorkonik.com/cheese/). Here's an example of a different [follow-up about cheese](https://newsletter.eleanorkonik.com/eclectic220916/) so you can see how this kind of information ultimately gets used; I never want to be one of those [people who who write extensively about note-writing but rarely have a serious context of use](https://notes.andymatuschak.org/zUMFE66dxeweppDvgbNAb5hukXzXQu8ErVNv).

When it comes to the actual file as it exists in my notes, though, I like to change the metadata first. It's hard for computers to figure out the difference between an "author" and a "publication," but important to me, so the first thing I do is go find out which where Safina Nabi published this article. [Atlas Obscura](https://www.atlasobscura.com/) is one of my favorite sources of random human interest stories with an anthropological, historic, and culinary bent, so it already has a page for it. I use the [Natural Language Dates plugin](https://github.com/argenos/nldates-obsidian) to translate the publication date of January 28, 2022 to 2022-01-28 for my own sense of consistency (which as we know is already pretty shaky, but eh).

Next and most importantly, I review the highlights. As I read through the quotes, I make sure they still make sense, and go back to the original source and investigate them if they don't. If something still seems pointless after I reviewed it in context, I just delete it.

Once I've cleaned up any awkward formatting, weird links, or broken tags, I check to make sure the annotations are as useful as they can be.

The main thing is to try to get a sense of why I highlighted the quote - it's not always because it's something I need to take notes on! Sometimes I highlight a quote in an article because it mentions some research I need to follow up on later, or because there's something I want to share with someone, and I wasn't in a position to do so while reading it the first time. My highlights are littered with notes to self and action items - it's not all pure knowledge.

For example, if I've left myself a note like `#pkm/xref this reminds me of something the Carthage expert I like said, but I can't remember her name` I will search my notes to figure out the name of the Carthage expert I like, cross-reference the highlight with things she said, and add links and update notes as appropriate. If I said something like `This reminds me of the article about the guy a crane is in love with` when I was taking notes on something without access to my notes, I will go find [the article](https://www.washingtonpost.com/news/style/wp/2018/07/23/feature/the-crane-who-fell-in-love-with-a-human/) and link to my notes about it so that my backlinks and graph are updated.

##### Engaging

As much as I give the "paraphrase everything!" people a hard time, I do think it's important to ~rephrase, summarize, process, reinterpret~ put quotes into a more useful format. The problem with "summarizing" is that most people wind up in the habit of swapping out words and phrases for synonyms, enough to avoid pinging a plagiarism meter. This isn't enough to really make the quote _useful,_ even if it does often help  you confirm you understand it.

I prefer to consider the quote _evidence for a claim,_ which necessitates using it to make a claim. Sometimes evidence can be used for multiple claims, which is great - but often means the quote should be broken out into smaller pieces.

Let's take a look at the first highlight from this article:

```
### id286148681

> Zandee did not know the nomads’ language, so his friend Gulzar translated as Zandee asked how much they made from selling the cheese. “Nothing,” Gulzar said. “They just do it so that the milk will not go stale. At most, they will barter it with a shopkeeper who may give them a pound of sugar or a dozen matchsticks.”
```

The ID number is just to give me something unique to search for, since you can't target a blank header and there's no point in coming up with my own random string of  numbers for a block/header reference when Readwise already has one in its database.

This quote has a lot of context and vivid language, but my primary takeaway – the reason I highlighted  it, even though I didn't make a note at the time (because it's obvious to me and I don't like to do unnecessary work) — is that `nomads make cheese to preserve milk`, or perhaps `nomads make cheese to avoid wasting milk` which is wordier but also more accurate.

![](https://www.obsidianroundup.org/content/images/2022/10/image-12.png)

Here are some other examples now that I've gone through and engaged with all of the highlights.

Note that some of the headers are still metaphorically blank, with just the ID number; that's because some of these quotes are interesting context, but not necessarily things that I feel need to become anything more than what they are; context, or reference materials for where certain places are located. Not every highlight needs to become a "card" — and having things in my notes that are highlighted but don't need to be turned into further notes does not mean that I have failed by "over-highlighting."

Useful notes are messy, and time is valuable. A sense of completionism is nice for some things but mostly just gets in the way when it comes to learning. I read about 10% of the articles that show up in my feed. I take highlight about 50% of those, and affirmatively take notes on about 10% of those. This doesn't mean I wasted my time reading, or that I failed at notetaking because I should have done a better job of taking comprehensive notes. It means I used judgment, and used my time wisely, and focused on things that were worthwhile from a return on investment perspective.

#### The Zettelizer

There are two primary schools of thought when it comes to the question of how best to turn long source notes with big collections of quotes and annotations into the "atomic notes" (or ["zettels," which is basically German for "note"](https://en.wikipedia.org/wiki/Zettelkasten)) that take fuller advantages of Obsidian's featureset than relying on headings and blocks.

Some folks like to move the entire text of the highlight out into a new note, which is named after the heading, and then embed the new note back into the literature note. The advantage of this is that when you search for a string of text, like for example "Cheese," you get a note with a useful title ("Kashmiri people make goat and sheep cheese") instead of, say, the name of a book like "Middle Eastern Culture by Joana Dhoe" which doesn't do me as much good when I'm skimming file names in the search results trying to figure out [what I have previously learned about cheese](https://newsletter.eleanorkonik.com/cheese).

Despite the advantages of this method, though, I prefer to leave the quotes with the source, mostly because it makes it easier for me to send a file of quotes to a friend who asks for my takeaways from a specific book, for example my major takeaways from [Oh Crap! Potty Training: Everything Modern Parents Need To Know...](https://www.amazon.com/Crap-Potty-Training-Everything-Parenting/dp/1501122983) made the rounds in my offline social group and it was a lot easier to explain to non-technical people how to open and read a plain text file than how to navigate a bunch of nodes in a not-exactly-mainstream [integrated thinking environment](https://www.obsidianroundup.org/ite-not-second-brain/).

Anyway, the method I use to turn these claims into notes is pretty straightforward:

1.  Make a new file and give it the name of your claim (minus the ID):  `nomads make cheese to avoid wasting milk`
2.  Embed the relevant section into your new file: `![[The Kashmiri Cheese Brand Operating at 7,000 Feet by Safina Nabi#id286148681 nomads make cheese to avoid wasting milk]]`. A neat trick you can do with the IDs is copy it, then just type `[[##id286148681` - the reference will pop right up. This is one reason I like to use the IDs, since they're unique, it keeps me from having to type through all the "nomads..." options that might possibly show up, if I have a lot of notes that start similarly (more common in a long file, like book notes for a specific topic like bananas).
3.  Move over any annotations (I indicate this with the `- [n]` [data-task bullet](https://forum.obsidian.md/t/alternative-checkboxes-icon-bullets-copy-and-paste/35962), but this isn't necessary) and add links to relevant connections if I want to. Sseeing "nomads make cheese to avoid wasting milk" is more useful if I'm searching for information about `nomads` than "The Kashmiri Cheese Brand Operating at 7,000 Feet by Safina Nabi" would be, and with this method, my index file for nomads would have a bunch of claims neatly listed for me already, instead of a bunch of references I need to go re-learn from.

Since this can involve a lot of repetitive actions on a long file, I use [this javascript code](https://gist.github.com/eleanorkonik/17ee7e5178d8095b9630b812d9b3226f) along with the [QuickAdd](https://github.com/chhoumann/quickadd) plugin, to do it for me. I did not write this code myself Sam Morrison and Christian Bager Bach did most of the work, but in addition to the steps above, the script will also create an outline of links to the new files up in the Metadata list. Although Obsidian has an Outline plugin that lets you see your headers, I prefer to  have a nice overview of key details at the top of the file, so I can see it when I preview the file on hover if it comes up in my backlinks elsewhere.

It looks like this:

![](https://www.obsidianroundup.org/content/images/2022/10/zettelize.gif)

The key to using the script is to change the stuff inside the quotes on line 20 `constfolder="40 Slipbox/42 Zettels";` to the path for whatever you want the destination of your notes to be.

The hardest part of using the script is setting up the QuickAdd macro; [this video](https://www.youtube.com/watch?v=gYK3VDQsZJo)[](http://savefrom.net/?url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DgYK3VDQsZJo&utm_source=chrome&utm_medium=extensions&utm_campaign=link_modifier "Get a direct link") from the developer has a comprehensive guide starting at 15:45, but basically you type "Zettelize" into the box by Add Choice:

![](https://www.obsidianroundup.org/content/images/2022/10/image-13.png)

You can get to this screen by going into Obsidian's Settings.

and follow the directions for how he uses his Kanban Script, but with [the Zettelizer script](https://gist.github.com/eleanorkonik/17ee7e5178d8095b9630b812d9b3226f) instead. You can also follow the directions for [this installation guide](https://github.com/chhoumann/quickadd/blob/master/docs/Examples/Capture_FetchTasksFromTodoist.md#installation-video), which is a bit shorter.

Once I'm done running the script, I remove the `#pkm/process` tag and move the file from my `Pending` folder to my `References` folder.

This is just one method of handling a Readwise/Obsidian integration, there are others that are honestly safer and more robust, like [this Obsidian Readwise Inbox via TfTHacker](https://github.com/TfTHacker/obsidian-readwise-inbox).

## Manifestations: Referencing Notes For A Purpose

That's the last step in terms of making notes, but the real trick is in using the notes.

If I'm planning a vacation, I search my vault for information I've gathered about local places. Every spring, I check the previous years' reflections on mishaps and successes before planting my garden. If I'm working on a story involving a fantastical creature, I reference the notes I made about the quirks of biologically similar animals that exist in the real world.

This whole workflow is designed around my very specific goals. I write fantasy and science fiction. I write [newsletters sharing highlights from my research](https://newsletter.eleanorkonik.com/), and related essays about topics like [the nature of identity in the ancient world](https://newsletter.eleanorkonik.com/ancient-identities-complex-cultures/). I also occasionally write scifi/fantasy adjacent nonfiction pieces, [f](https://www.sfwa.org/2021/08/10/unusual-governments-to-take-inspiration-from/)or example [all the things that trees can be](https://newsletter.eleanorkonik.com/all-the-things-that-trees-can-be/): from homes & magic roads to natural air conditioners.

As such, while pieces of my process might work for you, or at least spark some ideas, I am _not_ trying to convince anyone to use these methods to hack your way to the one true method for success as a writer or thinker or anything. We've all got our quirks, and in many ways I am weird. Not many people serialize short fiction on a personal newsletter that is mostly targeted toward history nerds, after all.

With that caveat, if you'd like to see me _use_ notes like these in order to actually write an article, here's a livestream of me doing just that.

<iframe width="200" height="113" src="https://www.youtube.com/embed/xbUEa9B0wLM?feature=oembed" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="" title="From Notes to Nonfiction Article"></iframe>

Note: There are a couple of affiliate links & codes scattered around, but these always come from links I was already recommending and usually I share them because they benefit you too (i.e. getting you extra time on trials).