---
cssclass: "indent"
usage: "实现单篇笔记首行缩进效果"
---

# 2022政府工作报告
各位代表：
现在，我代表国务院，向大会报告政府工作，请予审议，并请全国政协委员提出意见。
## **一、2021年工作回顾**
### 回顾
过去一年是党和国家历史上具有里程碑意义的一年。以习近平同志为核心的党中央团结带领全党全国各族人民，隆重庆祝中国共产党成立一百周年，胜利召开党的十九届六中全会、制定党的第三个历史决议，如期打赢脱贫攻坚战，如期全面建成小康社会、实现第一个百年奋斗目标，开启全面建设社会主义现代化国家、向第二个百年奋斗目标进军新征程。
一年来，面对复杂严峻的国内外形势和诸多风险挑战，全国上下共同努力，统筹疫情防控和经济社会发展，全年主要目标任务较好完成，“十四五”实现良好开局，我国发展又取得新的重大成就。
### 经济保持恢复发展。
国内生产总值达到114万亿元，增长8.1%。全国财政收入突破20万亿元，增长10.7%。城镇新增就业1269万人，城镇调查失业率平均为5.1%。居民消费价格上涨0.9%。国际收支基本平衡。
### 创新能力进一步增强。
国家战略科技力量加快壮大。关键核心技术攻关取得重要进展，载人航天、火星探测、资源勘探、能源工程等领域实现新突破。企业研发经费增长15.5%。数字技术与实体经济加速融合。
### 经济结构和区域布局继续优化。
粮食产量1.37万亿斤，创历史新高。高技术制造业增加值增长18.2%，信息技术服务等生产性服务业较快发展，产业链韧性得到提升。区域发展战略有效实施，新型城镇化扎实推进。
#### 改革开放不断深化。
在重要领域和关键环节推出一批重大改革举措，供给侧结构性改革深入推进。“放管服”改革取得新进展。市场主体总量超过1.5亿户。高质量共建“一带一路”稳步推进。推动区域全面经济伙伴关系协定生效实施。货物进出口总额增长21.4%，实际使用外资保持增长。
### 生态文明建设持续推进。
污染防治攻坚战深入开展，主要污染物排放量继续下降，地级及以上城市细颗粒物（PM2.5）平均浓度下降9.1%。第一批国家公园正式设立。生态环境质量明显改善。
### 人民生活水平稳步提高。
居民人均可支配收入实际增长8.1%。脱贫攻坚成果得到巩固和拓展。基本养老、基本医疗、社会救助等保障力度加大。教育改革发展迈出新步伐。新开工改造城镇老旧小区5.6万个，惠及近千万家庭。
### 疫情防控成果持续巩固。
落实常态化防控举措，疫苗全程接种覆盖率超过85%，及时有效处置局部地区聚集性疫情，保障了人民生命安全和身体健康，维护了正常生产生活秩序。
回顾过去一年，成绩得来殊为不易。我国经济尚处在突发疫情等严重冲击后的恢复发展过程中，国内外形势又出现很多新变化，保持经济平稳运行难度加大。我们深入贯彻以习近平同志为核心的党中央决策部署，贯彻落实中央经济工作会议精神，完整、准确、全面贯彻新发展理念，扎实做好“六稳”、“六保”工作，注重宏观政策跨周期和逆周期调节，有效应对各种风险挑战，主要做了以下工作。
一是保持宏观政策连续性针对性，推动经济运行保持在合理区间。宏观政策适应跨周期调节需要，保持对经济恢复必要支持力度，同时考虑为今年应对困难挑战预留政策空间。建立常态化财政资金直达机制，将2.8万亿元中央财政资金纳入直达范围。优化地方政府专项债券发行使用。有效实施稳健的货币政策，两次全面降准，推动降低贷款利率。有序推进地方政府债务风险防范化解，稳妥处置重大金融风险事件。强化稳岗扩就业政策落实，扎实做好高校毕业生等重点群体就业工作，推进大众创业万众创新。加强大宗商品保供稳价，着力解决煤炭电力供应紧张问题。从全年看，主要宏观经济指标符合预期，财政赤字率和宏观杠杆率下降，经济增速继续位居世界前列。
二是优化和落实助企纾困政策，巩固经济恢复基础。上亿市场主体承载着数亿人就业创业，宏观政策延续疫情发生以来行之有效的支持路径和做法。去年新增减税降费超过1万亿元，还对制造业中小微企业、煤电和供热企业实施阶段性缓缴税费。实践表明，减税降费是助企纾困直接有效的办法，实际上也是“放水养鱼”、涵养税源，2013年以来新增的涉税市场主体去年纳税达到4.76万亿元。加强铁路、公路、航空、海运、港口等运输保障。加大对受疫情影响严重行业企业信贷投放，继续执行小微企业贷款延期还本付息和信用贷款支持政策，银行业金融机构普惠小微企业贷款增长27.3%，大型商业银行普惠小微企业贷款增幅超过40%，企业综合融资成本稳中有降。
三是深化改革扩大开放，持续改善营商环境。加强市场体系基础制度建设，推进要素市场化配置等改革。继续压减涉企审批手续和办理时限，更多政务服务事项实现一网通办。推广一批地方改革经验，开展营商环境创新试点。加强和创新监管，反垄断和防止资本无序扩张，维护公平竞争。深入实施国企改革三年行动。支持民营企业健康发展。基本完成行业协会商会与行政机关脱钩改革。设立北京证券交易所和广州期货交易所。稳步推进农业农村、社会事业、生态文明等领域改革。深化共建“一带一路”务实合作。加大稳外贸稳外资力度，成功举办进博会、广交会、服贸会及首届消博会等重大展会。新增4个服务业扩大开放综合试点，推出海南自由贸易港开放新举措。
四是强化创新引领，稳定产业链供应链。加强国家实验室建设，推进重大科技项目实施。改革完善中央财政科研经费管理，提高间接费用比例，扩大科研自主权。延续实施研发费用加计扣除政策，将制造业企业研发费用加计扣除比例提高到100%。强化知识产权保护。开展重点产业强链补链行动。传统产业数字化智能化改造加快，新兴产业保持良好发展势头。
五是推动城乡区域协调发展，不断优化经济布局。落实区域重大战略和区域协调发展战略，出台新的支持举措，实施一批重大项目。推进以县城为重要载体的城镇化建设。加强农业生产，保障农资供应，对种粮农民一次性发放200亿元补贴。推动乡村振兴，确定160个国家乡村振兴重点帮扶县。实施农村人居环境整治提升五年行动。
六是加强生态环境保护，促进可持续发展。巩固蓝天、碧水、净土保卫战成果。推动化肥农药减量增效和畜禽养殖废弃物资源化利用。持续推进生态保护修复重大工程，全面实施长江十年禁渔。可再生能源发电装机规模突破10亿千瓦。出台碳达峰行动方案。启动全国碳排放权交易市场。积极应对气候变化。
七是着力保障和改善民生，加快发展社会事业。加大农村义务教育薄弱环节建设力度，提高学生营养改善计划补助标准，3700多万学生受益。减轻义务教育阶段学生作业负担和校外培训负担。超额完成高职扩招三年行动目标。国家助学贷款每人每年最高额度增加4000元，惠及500多万在校生。上调退休人员基本养老金。提高优抚标准。将低保边缘家庭重病重残人员纳入低保范围，做好困难群众帮扶救助。改革疾病预防控制体系。把更多常见病、慢性病等门诊费用纳入医保报销范围，住院费用跨省直接结算率达到60%。严格药品疫苗监管。实施三孩生育政策。加强养老服务。加快发展保障性租赁住房。繁荣发展文化事业和文化产业，创新实施文化惠民工程。营造良好网络生态。积极开展全民健身运动。我国体育健儿在东京奥运会、残奥会上勇创佳绩。经过精心筹备，我们成功举办了简约、安全、精彩的北京冬奥会，也一定能办好刚刚开幕的冬残奥会。
八是推进法治政府建设和治理创新，保持社会和谐稳定。提请全国人大常委会审议法律议案10件，制定修订行政法规15部。认真办理人大代表建议和政协委员提案。出台法治政府建设实施纲要。发挥审计监督作用。继续开展国务院大督查，深入实施“互联网+督查”。创新城乡基层治理。扎实做好信访工作，化解信访积案。强化安全生产和应急管理。加强国家安全保障能力建设。完善社会治安防控体系，常态化开展扫黑除恶斗争，集中打击治理电信网络诈骗等犯罪。去年一些地区发生严重洪涝等灾害，各方面积极开展防灾救灾和灾后重建，努力保障人民群众生命财产安全。
贯彻落实党中央全面从严治党战略部署。开展党史学习教育。加强党风廉政建设和反腐败斗争。严格落实中央八项规定精神，持之以恒纠治“四风”，进一步为基层减负。
中国特色大国外交全面推进。习近平主席等党和国家领导人通过视频方式出席联合国大会、二十国集团领导人峰会、亚太经合组织领导人非正式会议、金砖国家领导人会晤、中国－东盟建立对话关系30周年纪念峰会、中非合作论坛部长级会议开幕式、东亚合作领导人系列会议、亚欧首脑会议等重大活动。成功举办多场重大主场外交活动。推动构建人类命运共同体，积极发展全球伙伴关系，积极参与全球治理体系改革和建设，推进国际抗疫合作，共同应对全球性问题和挑战。中国为促进世界和平与发展作出了积极贡献。
各位代表！
过去一年取得的成绩，是以习近平同志为核心的党中央坚强领导的结果，是习近平新时代中国特色社会主义思想科学指引的结果，是全党全军全国各族人民团结奋斗的结果。我代表国务院，向全国各族人民，向各民主党派、各人民团体和各界人士，表示诚挚感谢！向香港特别行政区同胞、澳门特别行政区同胞、台湾同胞和海外侨胞，表示诚挚感谢！向关心和支持中国现代化建设的各国政府、国际组织和各国朋友，表示诚挚感谢！
在肯定成绩的同时，我们也清醒看到面临的问题和挑战。全球疫情仍在持续，世界经济复苏动力不足，大宗商品价格高位波动，外部环境更趋复杂严峻和不确定。我国经济发展面临需求收缩、供给冲击、预期转弱三重压力。局部疫情时有发生。消费和投资恢复迟缓，稳出口难度增大，能源原材料供应仍然偏紧，输入性通胀压力加大，中小微企业、个体工商户生产经营困难，稳就业任务更加艰巨。关键领域创新支撑能力不强。一些地方财政收支矛盾加大，经济金融领域风险隐患较多。民生领域还有不少短板。政府工作存在不足，形式主义、官僚主义仍然突出，脱离实际、违背群众意愿现象屡有发生，有的在政策执行中采取“一刀切”、运动式做法。少数干部不担当、不作为、乱作为，有的漠视严重侵害群众权益问题、工作严重失职失责。一些领域腐败问题依然多发。我们要增强忧患意识，直面问题挑战，全力以赴做好工作，决不辜负人民期待！
## **二、2022年经济社会发展总体要求和政策取向**
今年将召开中国共产党第二十次全国代表大会，是党和国家事业发展进程中十分重要的一年。做好政府工作，要在以习近平同志为核心的党中央坚强领导下，以习近平新时代中国特色社会主义思想为指导，全面贯彻落实党的十九大和十九届历次全会精神，弘扬伟大建党精神，坚持稳中求进工作总基调，完整、准确、全面贯彻新发展理念，加快构建新发展格局，全面深化改革开放，坚持创新驱动发展，推动高质量发展，坚持以供给侧结构性改革为主线，统筹疫情防控和经济社会发展，统筹发展和安全，继续做好“六稳”、“六保”工作，持续改善民生，着力稳定宏观经济大盘，保持经济运行在合理区间，保持社会大局稳定，迎接党的二十大胜利召开。
综合研判国内外形势，今年我国发展面临的风险挑战明显增多，必须爬坡过坎。越是困难越要坚定信心、越要真抓实干。我国经济长期向好的基本面不会改变，持续发展具有多方面有利条件，特别是亿万人民有追求美好生活的强烈愿望、创业创新的巨大潜能、共克时艰的坚定意志，我们还积累了应对重大风险挑战的丰富经验。中国经济一定能顶住新的下行压力，必将行稳致远。
今年发展主要预期目标是：国内生产总值增长5.5%左右；城镇新增就业1100万人以上，城镇调查失业率全年控制在5.5%以内；居民消费价格涨幅3%左右；居民收入增长与经济增长基本同步；进出口保稳提质，国际收支基本平衡；粮食产量保持在1.3万亿斤以上；生态环境质量持续改善，主要污染物排放量继续下降；能耗强度目标在“十四五”规划期内统筹考核，并留有适当弹性，新增可再生能源和原料用能不纳入能源消费总量控制。
经济增速预期目标的设定，主要考虑稳就业保民生防风险的需要，并同近两年平均经济增速以及“十四五”规划目标要求相衔接。这是高基数上的中高速增长，体现了主动作为，需要付出艰苦努力才能实现。
完成今年发展目标任务，宏观政策要稳健有效，微观政策要持续激发市场主体活力，结构政策要着力畅通国民经济循环，科技政策要扎实落地，改革开放政策要激活发展动力，区域政策要增强发展的平衡性协调性，社会政策要兜住兜牢民生底线。各方面要围绕贯彻这些重大政策和要求，细化实化具体举措，形成推动发展的合力。
要保持宏观政策连续性，增强有效性。积极的财政政策要提升效能，更加注重精准、可持续。稳健的货币政策要灵活适度，保持流动性合理充裕。就业优先政策要提质加力。政策发力适当靠前，及时动用储备政策工具，确保经济平稳运行。
继续做好常态化疫情防控。坚持外防输入、内防反弹，不断优化完善防控措施，加强口岸城市疫情防控，加大对病毒变异的研究和防范力度，加快新型疫苗和特效药物研发，持续做好疫苗接种工作，更好发挥中医药独特作用，科学精准处置局部疫情，保持正常生产生活秩序。
今年工作要坚持稳字当头、稳中求进。面对新的下行压力，要把稳增长放在更加突出的位置。各地区各部门要切实担负起稳定经济的责任，积极推出有利于经济稳定的政策。要统筹稳增长、调结构、推改革，加快转变发展方式，不搞粗放型发展。坚持实事求是，立足社会主义初级阶段基本国情，着力办好自己的事，尊重发展规律、客观实际和群众需求，因地制宜创造性开展工作，把各方面干事创业积极性充分调动起来。推动有效市场和有为政府更好结合，善于运用改革创新办法，激发市场活力和社会创造力。要坚持以人民为中心的发展思想，依靠共同奋斗，扎实推进共同富裕，不断实现人民对美好生活的向往。
## **三、2022年政府工作任务**
今年经济社会发展任务重、挑战多。要按照以习近平同志为核心的党中央部署要求，完整、准确、全面贯彻新发展理念，加快构建新发展格局，推动高质量发展，扎实做好各项工作。
### （一）着力稳定宏观经济大盘，保持经济运行在合理区间。
继续做好“六稳”、“六保”工作。宏观政策有空间有手段，要强化跨周期和逆周期调节，为经济平稳运行提供有力支撑。
提升积极的财政政策效能。今年赤字率拟按2.8%左右安排、比去年有所下调，有利于增强财政可持续性。预计今年财政收入继续增长，加之特定国有金融机构和专营机构依法上缴近年结存的利润、调入预算稳定调节基金等，支出规模比去年扩大2万亿元以上，可用财力明显增加。新增财力要下沉基层，主要用于落实助企纾困、稳就业保民生政策，促进消费、扩大需求。今年安排中央本级支出增长3.9%，其中中央部门支出继续负增长。中央对地方转移支付增加约1.5万亿元、规模近9.8万亿元，增长18%、为多年来最大增幅。中央财政将更多资金纳入直达范围，省级财政也要加大对市县的支持，务必使基层落实惠企利民政策更有能力、更有动力。
要用好政府投资资金，带动扩大有效投资。今年拟安排地方政府专项债券3.65万亿元。强化绩效导向，坚持“资金、要素跟着项目走”，合理扩大使用范围，支持在建项目后续融资，开工一批具备条件的重大工程、新型基础设施、老旧公用设施改造等建设项目。民间投资在投资中占大头，要发挥重大项目牵引和政府投资撬动作用，完善相关支持政策，充分调动民间投资积极性。
要坚持政府过紧日子，更好节用裕民。大力优化支出结构，保障重点支出，严控一般性支出。盘活财政存量资金和闲置资产。各级政府必须艰苦奋斗、勤俭节约，中央政府和省级政府要带头。加强收支管理，严禁铺张浪费，不得违规新建楼堂馆所，不得搞形象工程，对违反财经纪律、肆意挥霍公款的要严查重处，一定要把宝贵资金用在发展紧要处、民生急需上。
加大稳健的货币政策实施力度。发挥货币政策工具的总量和结构双重功能，为实体经济提供更有力支持。扩大新增贷款规模，保持货币供应量和社会融资规模增速与名义经济增速基本匹配，保持宏观杠杆率基本稳定。保持人民币汇率在合理均衡水平上的基本稳定。进一步疏通货币政策传导机制，引导资金更多流向重点领域和薄弱环节，扩大普惠金融覆盖面。推动金融机构降低实际贷款利率、减少收费，让广大市场主体切身感受到融资便利度提升、综合融资成本实实在在下降。
强化就业优先政策。大力拓宽就业渠道，注重通过稳市场主体来稳就业，增强创业带动就业作用。财税、金融等政策都要围绕就业优先实施，加大对企业稳岗扩岗的支持力度。各类专项促就业政策要强化优化，对就业创业的不合理限制要坚决清理取消。各地都要千方百计稳定和扩大就业。
确保粮食能源安全。保障粮食等重要农产品供应，继续做好能源、重要原材料保供稳价工作，保障民生和企业正常生产经营用电。实施全面节约战略。增强国内资源生产保障能力，加快油气、矿产等资源勘探开发，完善国家战略物资储备制度，保障初级产品供给。打击哄抬物价等行为。保持物价水平基本稳定。
防范化解重大风险。继续按照稳定大局、统筹协调、分类施策、精准拆弹的基本方针，做好经济金融领域风险防范和处置工作。压实地方属地责任、部门监管责任和企业主体责任，加强风险预警、防控机制和能力建设，设立金融稳定保障基金，发挥存款保险制度和行业保障基金的作用，运用市场化、法治化方式化解风险隐患，有效应对外部冲击，牢牢守住不发生系统性风险的底线。
### （二）着力稳市场主体保就业，加大宏观政策实施力度。
完善减负纾困等政策，夯实经济稳定运行、质量提升的基础。
实施新的组合式税费支持政策。坚持阶段性措施和制度性安排相结合，减税与退税并举。一方面，延续实施扶持制造业、小微企业和个体工商户的减税降费政策，并提高减免幅度、扩大适用范围。对小规模纳税人阶段性免征增值税。对小微企业年应纳税所得额100万元至300万元部分，再减半征收企业所得税。各地也要结合实际，依法出台税费减免等有力措施，使减税降费力度只增不减，以稳定市场预期。另一方面，综合考虑为企业提供现金流支持、促进就业消费投资，大力改进因增值税税制设计类似于先缴后退的留抵退税制度，今年对留抵税额提前实行大规模退税。优先安排小微企业，对小微企业的存量留抵税额于6月底前一次性全部退还，增量留抵税额足额退还。重点支持制造业，全面解决制造业、科研和技术服务、生态环保、电力燃气、交通运输等行业留抵退税问题。增值税留抵退税力度显著加大，以有力提振市场信心。预计全年退税减税约2.5万亿元，其中留抵退税约1.5万亿元，退税资金全部直达企业。中央财政将加大对地方财力支持，补助资金直达市县，地方政府及有关部门要建立健全工作机制，加强资金调度，确保退税减税这项关键性举措落实到位，为企业雪中送炭，助企业焕发生机。
加强金融对实体经济的有效支持。用好普惠小微贷款支持工具，增加支农支小再贷款，优化监管考核，推动普惠小微贷款明显增长、信用贷款和首贷户比重继续提升。引导金融机构准确把握信贷政策，继续对受疫情影响严重的行业企业给予融资支持，避免出现行业性限贷、抽贷、断贷。发挥好政策性、开发性金融作用。推进涉企信用信息整合共享，加快税务、海关、电力等单位与金融机构信息联通，扩大政府性融资担保对小微企业的覆盖面，努力营造良好融资生态，进一步推动解决实体经济特别是中小微企业融资难题。
推动降低企业生产经营成本。清理转供电环节不合理加价，支持地方对特殊困难行业用电实行阶段性优惠政策。引导大型平台企业降低收费，减轻中小商户负担。进一步清理规范行业协会商会、中介机构等收费。要开展涉企违规收费专项整治行动，建立协同治理和联合惩戒机制，坚决查处乱收费、乱罚款、乱摊派。要加大拖欠中小企业账款清理力度，规范商业承兑汇票使用，机关、事业单位和国有企业要带头清欠。餐饮、住宿、零售、文化、旅游、客运等行业就业容量大、受疫情影响重，各项帮扶政策都要予以倾斜，支持这些行业企业挺得住、过难关、有奔头。
落实落细稳就业举措。延续执行降低失业和工伤保险费率等阶段性稳就业政策。对不裁员少裁员的企业，继续实施失业保险稳岗返还政策，明显提高中小微企业返还比例。今年高校毕业生超过1000万人，要加强就业创业指导、政策支持和不断线服务。做好退役军人安置和就业保障，促进农民工就业，帮扶残疾人、零就业家庭成员就业。深入开展大众创业万众创新，增强双创平台服务能力。加强灵活就业服务，完善灵活就业社会保障政策，开展新就业形态职业伤害保障试点。坚决防止和纠正性别、年龄、学历等就业歧视，大力营造公平就业环境。加强劳动保障监察执法，着力解决侵害劳动者合法权益的突出问题。增强公共就业服务针对性。继续开展大规模职业技能培训，共建共享一批公共实训基地。使用1000亿元失业保险基金支持稳岗和培训，加快培养制造业高质量发展的急需人才，让更多劳动者掌握一技之长、让三百六十行行行人才辈出。
### （三）坚定不移深化改革，更大激发市场活力和发展内生动力。
处理好政府和市场的关系，使市场在资源配置中起决定性作用，更好发挥政府作用，构建高水平社会主义市场经济体制。
加快转变政府职能。加强高标准市场体系建设，抓好要素市场化配置综合改革试点，加快建设全国统一大市场。围绕打造市场化法治化国际化营商环境，持续推进“放管服”改革，对取消和下放审批事项要同步落实监管责任和措施。继续扩大市场准入。全面实行行政许可事项清单管理。加强数字政府建设，推动政务数据共享，进一步压减各类证明事项，扩大“跨省通办”范围，基本实现电子证照互通互认，便利企业跨区域经营，加快解决群众关切事项的异地办理问题。推进政务服务事项集成化办理，推出优化不动产登记、车辆检测等便民举措。强化政府监管责任，严格落实行业主管部门、相关部门监管责任和地方政府属地监管责任，防止监管缺位。加快建立健全全方位、多层次、立体化监管体系，实现事前事中事后全链条全领域监管，提高监管效能。抓紧完善重点领域、新兴领域、涉外领域监管规则，创新监管方法，提升监管精准性和有效性。深入推进公平竞争政策实施，加强反垄断和反不正当竞争，维护公平有序的市场环境。
促进多种所有制经济共同发展。坚持和完善社会主义基本经济制度，坚持“两个毫不动摇”。要正确认识和把握资本的特性和行为规律，支持和引导资本规范健康发展。依法平等保护企业产权、自主经营权和企业家合法权益，营造各类所有制企业竞相发展的良好环境。完成国企改革三年行动任务，加快国有经济布局优化和结构调整，深化混合所有制改革，加强国有资产监管，促进国企聚焦主责主业、提升产业链供应链支撑和带动能力。落实支持民营经济发展的政策措施，鼓励引导民营企业改革创新，构建亲清政商关系。弘扬企业家精神，制定涉企政策要多听市场主体意见，尊重市场规律，支持企业家专注创业创新、安心经营发展。
推进财税金融体制改革。深化预算绩效管理改革，增强预算的约束力和透明度。推进省以下财政体制改革。完善税收征管制度，依法打击偷税骗税。加强和改进金融监管。深化中小银行股权结构和公司治理改革，加快不良资产处置。完善民营企业债券融资支持机制，全面实行股票发行注册制，促进资本市场平稳健康发展。
### （四）深入实施创新驱动发展战略，巩固壮大实体经济根基。
推进科技创新，促进产业优化升级，突破供给约束堵点，依靠创新提高发展质量。
提升科技创新能力。实施基础研究十年规划，加强长期稳定支持，提高基础研究经费占全社会研发经费比重。实施科技体制改革三年攻坚方案，强化国家战略科技力量，加强国家实验室和全国重点实验室建设，发挥好高校和科研院所作用，改进重大科技项目立项和管理方式，深化科技评价激励制度改革。支持各地加大科技投入，开展各具特色的区域创新。加强科普工作。推进国际科技合作。加快建设世界重要人才中心和创新高地，完善人才发展体制机制，弘扬科学家精神，加大对青年科研人员支持力度，让各类人才潜心钻研、尽展其能。
加大企业创新激励力度。强化企业创新主体地位，持续推进关键核心技术攻关，深化产学研用结合，促进科技成果转移转化。加强知识产权保护和运用。促进创业投资发展，创新科技金融产品和服务，提升科技中介服务专业化水平。加大研发费用加计扣除政策实施力度，将科技型中小企业加计扣除比例从75%提高到100%，对企业投入基础研究实行税收优惠，完善设备器具加速折旧、高新技术企业所得税优惠等政策，这相当于国家对企业创新给予大规模资金支持。要落实好各类创新激励政策，以促进企业加大研发投入，培育壮大新动能。
增强制造业核心竞争力。促进工业经济平稳运行，加强原材料、关键零部件等供给保障，实施龙头企业保链稳链工程，维护产业链供应链安全稳定。引导金融机构增加制造业中长期贷款。启动一批产业基础再造工程项目，促进传统产业升级，大力推进智能制造，加快发展先进制造业集群，实施国家战略性新兴产业集群工程。着力培育“专精特新”企业，在资金、人才、孵化平台搭建等方面给予大力支持。推进质量强国建设，推动产业向中高端迈进。
促进数字经济发展。加强数字中国建设整体布局。建设数字信息基础设施，逐步构建全国一体化大数据中心体系，推进5G规模化应用，促进产业数字化转型，发展智慧城市、数字乡村。加快发展工业互联网，培育壮大集成电路、人工智能等数字产业，提升关键软硬件技术创新和供给能力。完善数字经济治理，培育数据要素市场，释放数据要素潜力，提高应用能力，更好赋能经济发展、丰富人民生活。
### （五）坚定实施扩大内需战略，推进区域协调发展和新型城镇化。
畅通国民经济循环，打通生产、分配、流通、消费各环节，增强内需对经济增长的拉动力。
推动消费持续恢复。多渠道促进居民增收，完善收入分配制度，提升消费能力。推动线上线下消费深度融合，促进生活服务消费恢复，发展消费新业态新模式。继续支持新能源汽车消费，鼓励地方开展绿色智能家电下乡和以旧换新。加大社区养老、托幼等配套设施建设力度，在规划、用地、用房等方面给予更多支持。促进家政服务业提质扩容。加强县域商业体系建设，发展农村电商和快递物流配送。提高产品和服务质量，强化消费者权益保护，着力适应群众需求、增强消费意愿。
积极扩大有效投资。围绕国家重大战略部署和“十四五”规划，适度超前开展基础设施投资。建设重点水利工程、综合立体交通网、重要能源基地和设施，加快城市燃气管道、给排水管道等管网更新改造，完善防洪排涝设施，继续推进地下综合管廊建设。中央预算内投资安排6400亿元。政府投资更多向民生项目倾斜，加大社会民生领域补短板力度。深化投资审批制度改革，做好用地、用能等要素保障，对国家重大项目要实行能耗单列。要优化投资结构，破解投资难题，切实把投资关键作用发挥出来。
增强区域发展平衡性协调性。深入实施区域重大战略和区域协调发展战略。推进京津冀协同发展、长江经济带发展、粤港澳大湾区建设、长三角一体化发展、黄河流域生态保护和高质量发展，高标准高质量建设雄安新区，支持北京城市副中心建设。推动西部大开发形成新格局，推动东北振兴取得新突破，推动中部地区高质量发展，鼓励东部地区加快推进现代化，支持产业梯度转移和区域合作。支持革命老区、民族地区、边疆地区加快发展。发展海洋经济，建设海洋强国。经济大省要充分发挥优势，增强对全国发展的带动作用。经济困难地区要用好国家支持政策，挖掘自身潜力，努力促进经济恢复发展。
提升新型城镇化质量。有序推进城市更新，加强市政设施和防灾减灾能力建设，开展老旧建筑和设施安全隐患排查整治，再开工改造一批城镇老旧小区，支持加装电梯等设施，推进无障碍环境建设和公共设施适老化改造。健全常住地提供基本公共服务制度。加强县城基础设施建设。稳步推进城市群、都市圈建设，促进大中小城市和小城镇协调发展。推进成渝地区双城经济圈建设。严控撤县建市设区。在城乡规划建设中做好历史文化保护传承，节约集约用地。要深入推进以人为核心的新型城镇化，不断提高人民生活质量。
中国的发展从来都是在应对挑战中前进的，中国人民有战胜任何艰难险阻的勇气、智慧和力量。我们要更加紧密地团结在以习近平同志为核心的党中央周围，高举中国特色社会主义伟大旗帜，以习近平新时代中国特色社会主义思想为指导，攻坚克难，砥砺奋进，努力完成全年目标任务，以实际行动迎接党的二十大胜利召开，为把我国建设成为富强民主文明和谐美丽的社会主义现代化强国、实现中华民族伟大复兴的中国梦不懈奋斗！